Skip to main content
PATCH
/
projects
/
{project_id}
/
jobs
/
{job_id}
/
locales
/
{job_locale_id}
/
annotations
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/jobs/:job_id/locales/:job_locale_id/annotations/:id" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X PATCH \
  -d '{"value":"Some value..."}' \
  -H 'Content-Type: application/json'
phrase job_locale_annotations update \
--project_id <project_id> \
--job_id <job_id> \
--job_locale_id <job_locale_id> \
--id <id> \
--data '{"value": "Some value..."}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales/{job_locale_id}/annotations/{id}"

payload = {
"value": "Some value...",
"branch": "my-feature-branch"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'Some value...', branch: 'my-feature-branch'})
};

fetch('https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/locales/{job_locale_id}/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "priority",
  "value": "high",
  "created_at": "2023-10-01T12:00:00Z",
  "updated_at": "2023-10-01T12:00:00Z"
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

job_id
string
required

Job ID

job_locale_id
string
required

Job Locale ID

id
string
required

Name of the annotation to set or update.

Body

application/json
value
string

Annotation value

Example:

"Some value..."

branch
string

Branch name of the job

Example:

"my-feature-branch"

Response

OK

name
string
required
value
string
required
created_at
string<date-time>
updated_at
string<date-time>